IcedTea-Web NetX

## net.sourceforge.jnlp
Interface LaunchHandler

All Known Implementing Classes:
  AbstractLaunchHandler, DefaultLaunchHandler, GuiLaunchHandler

    public interface LaunchHandler

This optional interface is used to handle conditions that occur while launching JNLP applications, applets, and installers.

Method Summary
`void` `launchCompleted(ApplicationInstance application)` Called when an application, applet, or installer has been launched successfully (the main method or applet start method returned normally).
`void` `launchError(LaunchException exception)` Called when the application could not be launched due to a fatal error, such as the inability to find the main class or non-parseable XML.
`void` `launchInitialized(JNLPFile file)` Called when an application, applet or installer has been determined.
`void` `launchStarting(ApplicationInstance application)` Called when an application, applet or installer is ready to start.
`boolean` `launchWarning(LaunchException warning)` Called when launching the application can not be launched due to an error that is not fatal.
`boolean` `validationError(LaunchException error)` Called when a security validation error occurs while launching the application.

Method Detail

### launchError

    void launchError(LaunchException exception)

  Called when the application could not be launched due to a fatal error, such as the inability to find the main class or non-parseable XML.

### launchWarning

    boolean launchWarning(LaunchException warning)

  Called when launching the application can not be launched due to an error that is not fatal. For example a JNLP file that is not strictly correct yet does not necessarily prohibit the system from attempting to launch the application.

  Returns:
    true if the launch should continue, false to abort

### validationError

    boolean validationError(LaunchException error)

  Called when a security validation error occurs while launching the application.

  Returns:
    true to allow the application to continue, false to stop it.

### launchInitialized

    void launchInitialized(JNLPFile file)

  Called when an application, applet or installer has been determined. We have some very basic information about the application at this point, but do not have everything required. This is a nice point to show the splash screen.

  Parameters:
    `file` - the JNLP file of the instance that is starting

### launchStarting

    void launchStarting(ApplicationInstance application)

  Called when an application, applet or installer is ready to start. Good point to hide the splash screen.

  Parameters:
    `application` - the application instance that is ready

### launchCompleted

    void launchCompleted(ApplicationInstance application)

  Called when an application, applet, or installer has been launched successfully (the main method or applet start method returned normally).

  Parameters:
    `application` - the launched application instance

IcedTea-Web NetX

Submit a bug or feature